using Edu.Common.Enum;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{
    /// <summary>
    /// 考勤实体类
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Attendance
    {

        /// <summary>
        /// 主键编号
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 所属集团id
        /// </summary>        
        public int RB_GroupId
        {
            get;
            set;
        }
        /// <summary>
        /// 公司id
        /// </summary>        
        public int RB_BranchId
        {
            get;
            set;
        }
        /// <summary>
        /// 状态
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }
        /// <summary>
        /// 创建人
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// 创建时间
        /// </summary>        
        public DateTime CreateTime
        {
            get;
            set;
        }
        /// <summary>
        /// 更新人
        /// </summary>        
        public int? UpdateBy
        {
            get;
            set;
        }
        /// <summary>
        /// 更新时间
        /// </summary>        
        public DateTime UpdateTime
        {
            get;
            set;
        }
    }
}